package com.syaroful.agrilinkvocpro.growth_recipe_feature.core.component

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.unit.dp
import com.syaroful.agrilinkvocpro.growth_recipe_feature.R
import com.syaroful.agrilinkvocpro.presentation.theme.MainGreen

@Composable
fun GrowthRecipeFeatureBanner(){
    Box(
        modifier = Modifier
            .fillMaxWidth()
            .background(color = MainGreen, shape = RoundedCornerShape(8.dp))
            .padding(horizontal = 16.dp, vertical = 8.dp)
    ) {
        Row(
            modifier = Modifier.fillMaxWidth(),
            horizontalArrangement = Arrangement.SpaceBetween,
            verticalAlignment = Alignment.CenterVertically
        ) {
            Column(modifier = Modifier.fillMaxWidth(0.6f)) {
                Text(
                    "Pantau pertumbuhan tanamanmu",
                    style = MaterialTheme.typography.titleMedium.copy(color = Color.White)
                )
                Text(
                    "Lihat rekomendasi perawatan optimal untuk setiap jenis tanaman",
                    style = MaterialTheme.typography.bodySmall.copy(Color.White.copy(alpha = 0.5f))
                )
            }
            Image(
                modifier = Modifier.fillMaxWidth(0.8f),
                painter = painterResource(id = R.drawable.plant_img),
                contentDescription = "Plant Image",
            )
        }
    }
}